Page MenuHomePhabricator

PostgreSQL support?
Closed, ResolvedPublic

Description

This extension does not work when using mediawiki with PostgreSQL. It gives the following SQL error:
<pre>A database query error has occurred. This may indicate a bug in the software.</pre>

  • Query: <code>DELETE FROM "searchindex" WHERE si_page = '10'</code>
  • Function: <code>DeletePagesForGood::deletePermanently</code>
  • Error: <code>42P01 ERROR: relation "searchindex" does not exist LINE 1: ...PagesForGood::deletePermanently WikiSysop */ FROM "searchind... ^</code>

According to [[Manual:Searchindex table]], there is no <code>searchindex<code> table when using postgres.

--[[User:Dhenry|Dhenry]] ([[User talk:Dhenry|talk]]) 08:34, 8 November 2015 (UTC)

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
InvalidNone
ResolvedNone

Event Timeline

Paladox created this task.Nov 21 2015, 5:15 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a subscriber: Paladox.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 21 2015, 5:15 PM

@Paladox: Please provide version information, plus edit the task summary to describe what this task is about. See "Title" on https://www.mediawiki.org/wiki/How_to_report_a_bug#Reporting_a_new_bug_or_feature_request

@Aklapper I just copied what was on the talkpage it was reported by someone else.

@Aklapper I just copied what was on the talkpage it was reported by someone else.

@Paladox: Ok. And I wrote: Please provide version information, plus edit the task summary to describe what this task is about. See "Title" on https://www.mediawiki.org/wiki/How_to_report_a_bug#Reporting_a_new_bug_or_feature_request - please do that.

Change 260915 had a related patch set uploaded (by Paladox):
Fix postgres support

https://gerrit.wikimedia.org/r/260915

Change 250007 had a related patch set uploaded (by Paladox):
Use FormAction instead of UnknownAction hook, Security fix

https://gerrit.wikimedia.org/r/250007

Change 250007 merged by jenkins-bot:
Use FormAction instead of UnknownAction hook, Security fix

https://gerrit.wikimedia.org/r/250007

Paladox closed this task as Resolved.Jan 7 2016, 7:56 PM
Paladox set Security to None.

Change 260915 abandoned by Paladox:
Fix postgres support

Reason:
Done in https://gerrit.wikimedia.org/r/#/c/250007/

https://gerrit.wikimedia.org/r/260915

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.